%define name    mini_sendmail
%define version 1.3.5
%define release 3mdk
%define summary Accept email on behalf of real sendmail

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
License:	BSD
Group:		Networking/Mail
URL:		http://www.acme.com/software/mini_sendmail
Source0:	http://www.acme.com/software/mini_sendmail/%name-%version.tar.gz
Patch0:		%name-1.3.2-makefile.patch.bz2
Provides:	smtpdaemon
BuildRoot:      %_tmppath/%name-buildroot

%description
mini_sendmail reads its standard input up to an end-of-file and sends a copy
of the message found there to all of the addresses listed. The message is sent
by connecting to a local SMTP server. This means mini_sendmail can be used to
send email from inside a chroot(2) area.

%prep 
%setup -q
%patch -p1 -b .makefile

%build
make mini_sendmail	PREFIX=%{_prefix} \
			BINDIR=%{_sbindir} \
			MANDIR=%{_mandir}

%install
%__mkdir_p %buildroot/%_docdir/%name-%version
%__mkdir_p %buildroot/%_sbindir/%name-%version

%__cp $RPM_BUILD_DIR/%name-%version/README %buildroot/%{_docdir}/%name-%version
%__cp $RPM_BUILD_DIR/%name-%version/FILES %buildroot/%{_docdir}/%name-%version
%__cp $RPM_BUILD_DIR/%name-%version/mini_sendmail %buildroot/%{_sbindir}/mini_sendmail

%clean
rm -rf %buildroot

%post
update-alternatives --install %{_sbindir}/sendmail mta %{_sbindir}/mini_sendmail 5 \
        --slave %{_libdir}/sendmail mta-in_libdir %{_sbindir}/mini_sendmail

%preun
if [ $1 = 0 ]; then
	update-alternatives --remove mta %{_sbindir}/mini_sendmail
fi

%files
%defattr(-,root,root)
%doc README FILES
%_sbindir/mini_sendmail

%changelog
* Tue Mar 22 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.5-3mdk
- use update-alternatives

* Fri Feb 4 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.5-2mdk
- rebuild
- macroszification
- provide smtpdaemon

* Fri Mar 19 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.5-1mdk
- new version - fixed some problems with older version

* Wed Feb 12 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.3.2-1mdk
- initial Mandrake import

